<!DOCTYPE html>
<html lang="fr">
<head>
  <meta charset="utf-8"/>
  <title>Money Clicker</title>
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="shortcut icon" type="image/png" href="assets/img/bitcoin.png"/>
  <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.3.1/css/all.css" integrity="sha384-mzrmE5qonljUremFsqc01SB46JvROS7bZs3IO2EmfFsd15uHvIt+Y8vEf7N7fWAU" crossorigin="anonymous">
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css">
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
  <link rel="stylesheet" type="text/css" href="assets/css/style.css">
  <script src="https://cdnjs.cloudflare.com/ajax/libs/socket.io/2.3.0/socket.io.js" integrity="sha256-bQmrZe4yPnQrLTY+1gYylfNMBuGfnT/HKsCGX+9Xuqo=" crossorigin="anonymous"></script>
  <script>

function encode_utf8(s) {
  return unescape(encodeURIComponent(s));
}

function decode_utf8(s) {
  return decodeURIComponent(escape(s));
}

    /**
 * Scroll vers le bas de page si l'utilisateur n'est pas remonté pour lire d'anciens messages
 */
 function scrollToBottom() {
  var elem = document.getElementById('messages');
  elem.scrollTop = elem.scrollHeight; }

    var socket = io.connect({reconnection:false});

    var pseudo = prompt('Quel est votre pseudo ?');//entrer le pseudo
    

    //Si le pseudo est nul alors on refresh la page
    if (pseudo === null) {
        location.reload();
    } else {

      socket.emit('enter', pseudo);

      socket.on('service-message', function(msg) {
        $('#messages').append($('<li>').html(decode_utf8(msg)));
          scrollToBottom();
      });
      
      socket.on('receiveChatUser', function(nbr) {
        $('#playerNbr').text(nbr);
      });

      socket.on('enter', function(pseudo, id) {
        var idJoueur = id ;
        var string = "\
            <li class='list-group-item' id='" + id + "_li'>\
                <div class='row'>\
                    <div class='col-sm-3'><center id=\"" + id + "_pseudo\">"+ pseudo +"</center></div>\
                    <div class='col-sm-3'><center id=\"" + id + "_score\">0</center></div>\
                    <div class='col-sm-3'><center id=\"" + id + "_scoreps\">0</center></div>\
                    <div class='col-sm-3'><center id=\"" + id + "_totalscore\">0</center></div>\
                </div>\
            </li>\
        ";
        $('#playerlist').append(string);
      });

      socket.on('receivescore', function(id, score) {
        $('#' + id + '_score').text(score);
      });

      socket.on('receivescoreps', function(id, score) {
        $('#' + id + '_scoreps').text(score);
      });

      socket.on('receivetotalscore', function(id, score) {

        $('#' + id + '_totalscore').text(score);
      });

      socket.on('update_playerlist', function(list) {
        $('#playerlist').empty();
        for(var i = 0; i < list.length; i++) {
         // console.log(list[i][0] + ' | ' + list[i][1]);
          var string = "\
            <li class='list-group-item' id='" + list[i][0] + "_li'>\
                <div class='row'>\
                    <div class='col-sm-3'><center id=\"" + list[i][0] + "_pseudo\">"+ list[i][1] +"</center></div>\
                    <div class='col-sm-3'><center id=\"" + list[i][0] + "_score\">"+ Math.round(list[i][3]*100)/100 +"</center></div>\
                    <div class='col-sm-3'><center id=\"" + list[i][0] + "_scoreps\">"+ Math.round(list[i][4]*100)/100 +"</center></div>\
                    <div class='col-sm-3'><center id=\"" + list[i][0] + "_totalscore\">"+ Math.round(list[i][2]*100)/100 +"</center></div>\
                </div>\
            </li>\
          ";
          $('#playerlist').append(string);
        }
      });

      socket.on('leave', function(id ,pseudo) {
        $('#' + id + '_li').remove();
      });


    }



</script>


<style>
  html {
    height: 100%;
  }
  body{
    background-color: #130f40;
    padding: 0;
    margin: 0;
    height: 100%;
  }
  .sidebar{
    background-color: #30336b !important;
    color: white;
    height: 100vh;
    padding-right: 5px;
  }
  .amelio{
    padding: 0px;
  }

  .card-header {
    background-color: #30336b;
    border: 1px solid #30336b;
    color: white;
    font-weight: bold;
  }

  .card {
    border: 1px solid #30336b;
    border-radius: 7px;
    margin-bottom: 15px;
  }
  .sideTitle{
    font-size: 20px;
    letter-spacing: 3px;
    width: 80%;
  }
  .navbar-brand {
    display: block !important;
  }
  .JoueurEnLigne{
    margin-bottom: 20px;
  }
  .tchatBox{
  width: 100%;
  }
  .inputMessage{
    width: 97%;
  }
  .messageList{
    list-style-type: none;
    margin: 0;
    padding: 0;
    padding-bottom: 50px;
    overflow:scroll;
    overflow-x:hidden;
    overflow-y: scroll;
    height: 88vh;
  }

  /* Hide scrollbar for Chrome, Safari and Opera */
.messageList::-webkit-scrollbar {
    display: none;
}

/* Hide scrollbar for IE and Edge */
.messageList {
    -ms-overflow-style: none;
}
  
  ::-webkit-input-placeholder {
   color: white;
}

:-moz-placeholder { /* Firefox 18- */
   color: white;  
}

::-moz-placeholder {  /* Firefox 19+ */
   color: white;  
}

:-ms-input-placeholder {  
   color: white;  
}
.card-footer{
  padding: 0;
}
.divider{
  border: 2px solid #130f40;
  margin-bottom: 10px;
}
</style>

</head>


<body>
  <div class="container-fluid d-flex flex-column">
    <div class="row h-100">
      <nav class="col-md-3 sidebar" >
        <a class="navbar-brand" ><img src="assets/img/bitcoin.png" width="30" height="30" class="d-inline-block align-top" alt="">&nbsp;<span class="sideTitle"  >Money Clicker</span><div class="float-right"><i class="fa fa-users" aria-hidden="true"></i>      <span id="playerNbr"></span></div></a>
        <div class="divider"></div>
        <div class="tchatBox">
          <ul id="messages" class="messageList"></ul>
        </div>
        <form id="commentForm" action="" >
          <input id="inputMessage" type="text" class="form-control inputMessage" name="newChatMessage" required="required" placeholder="Type here to chat..." maxlength="150" autocomplete="off">
        </form>
        <script>
          $(function () {
            var socket = io();
            $('form').submit(function(e) {
              e.preventDefault(); // prevents page reloading
              socket.emit('chat-message', $('#inputMessage').val() , pseudo);
              $('#inputMessage').val('');
              return false;
            });
            socket.on('chat-message', function(msg){
              let  newMessage = decode_utf8(msg);
              console.log(newMessage);
              $('#messages').append($('<li>').html(newMessage));
              scrollToBottom();
            });
          });
        </script>
      </nav>
      <div class='col-md-9 mt-4'>
        <div class="container">
          <div class="row justify-content-center">
            <div class="card col-md-12 amelio shadow-lg">
              <div class="card-header">
                Classement
              </div>
              <div class="card-body">
                <p class="card-text">Liste des participants !</p>

                <ul class="list-group list-group-flush">
                  <li class='list-group-item'>
                    <div class='row'>
                        <div class='col-sm-3'><center><strong>Pseudo</strong></center></div>
                        <div class='col-sm-3'><center><strong>Score</strong></center></div>
                        <div class='col-sm-3'><center><strong>Score par seconde</strong></center></div>
                        <div class='col-sm-3'><center><strong>Total score</strong></center></div>
                    </div>
                  </li>
                </ul>
                <ul class="list-group list-group-flush" id="playerlist" style="overflow:scroll;overflow-x:hidden;overflow-y:scroll;max-height: 200px;">
                </ul>
              </div>       
            </div>
          </div>
          <br>
          <div class="row justify-content-center" style="margin-top: 3%">
            <div id="scoreboard" class="col-md-12"> 
              <div id="coin" class="d-flex justify-content-center"><img src="assets/img/bitcoin.png"  style='cursor: pointer;' width="100"></div>
              <br>
              <div class="d-flex justify-content-center">Total bitcoin : &nbsp;<span id="score" class="d-flex justify-content-center">0</span></div>
              <br>
              <small class="d-flex justify-content-center"><span id="userScorePS" ></span>&nbsp; pieces par seconde</small>
            </div>
          </div>
          <br>
          <div class="row justify-content-center" style="margin-top: 3%">
            <div class="col-md-4">
              <div class="card col-md-12 amelio shadow-lg">
                <div class="card-header">
                  <i class="fas fa-arrow-alt-circle-up"></i>
                  Amélioration d'objets
                </div>
                <div class="card-body">
                  <p class="card-text">Liste de tout ce que vous pouvez acheter pour amméliorer vos batiments !</p>
                </div>
                <div class="card-footer">
                  <ul class="list-group list-group-flush" id="upgradelist" >
                  </ul>
                </div>
              </div>
            </div>
            <div class="col-md-4">
              <div class="card col-md-12 amelio shadow-lg">
                <div class="card-header">
                  <i class="fas fa-shopping-cart"></i>
                  Marché
                </div>
                <div class="card-body">
                  <p class="card-text">Liste de tout ce que vous pouvez acheter pour accélerer vos gains !</p>
                </div>
                <div class="card-footer">
                  <ul class="list-group list-group-flush" id="marketlist">
                  </ul>
                </div>
              </div>
            </div>
            <div class="col-md-4">
              <div class="card col-md-12 amelio shadow-lg">
                <div class="card-header">
                  <i class="fas fa-skull"></i>
                  Malus
                </div>
                <div class="card-body">
                  <p class="card-text">Liste de tout ce que vous pouvez acheter pour détruire vos adversaires !</p>
                </div>
                <div class="card-footer">
                  <ul class="list-group list-group-flush" id="maluslist" >
                  </ul>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>

<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js" integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q" crossorigin="anonymous"></script>
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.4.1/js/bootstrap.min.js"></script>
<script src="building.js"></script>
<script src="malus.js"></script>
<script src="upgrade.js"></script>
<script src="client.js"></script>
<script src="main.js"></script>
<script src="events.js"></script>
<script>
    $(document).ready(function(){
        $('[data-toggle="tooltip"]').tooltip();
    });
</script>

</body>
</html>
